Summary: OpenIB InfiniBand Management and Diagnostic Tools
Name: libibumad
Version: 1.2.3
Release: alt0.M41.2

Packager: Stanislav Ievlev <inger@altlinux.org>

License: GPL/BSD

Group: System/Libraries

Source: http://openib.org/downloads/%{name}-%{version}.tar
Url: http://openib.org/

BuildPreReq: libibcommon-devel >= 1.1.2
Requires: libibcommon >= 1.1.2

# Automatically added by buildreq on Tue Aug 21 2007
BuildRequires: gcc-c++ glibc-devel-static libibcommon-devel-static

%description
libibumad provides the user MAD library functions which sit on top of 
the user MAD modules in the kernel. These are used by the IB diagnostic
and management tools, including OpenSM. 

%package devel
Summary: Development files for the libibumad library
Group: Development/C
Requires: %name = %version-%release libibcommon-devel

%description devel
Development files for the libibumad library.

%package devel-static
Summary: Static development files for the libibumad library
Group: Development/C
Requires: %name-devel = %version-%release libibcommon-devel-static

%description devel-static
Static development files for the libibumad library.

%prep
%setup -q -n %name-%version

%build
%configure
sed -i -e '1a\echo=echo' libtool
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%doc AUTHORS COPYING ChangeLog
%_libdir/*.so.*

%files devel
%_man3dir/*
%_libdir/*.so
%_includedir/infiniband/*.h

%files devel-static
%_libdir/*.a

%changelog
* Wed Oct 14 2009 Stanislav Ievlev <inger@altlinux.org> 1.2.3-alt0.M41.2
- Build for 4.1

* Wed Apr 29 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.3-alt0.M41.1
- Build for 4.1

* Fri Apr 24 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.3-alt1
- Version 1.2.3

* Thu Apr 23 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.7-alt2
- Add static package

* Fri Sep 19 2008 Stanislav Ievlev <inger@altlinux.org> 1.1.7-alt0.M41.1
- build for 4.1

* Thu Sep 18 2008 Stanislav Ievlev <inger@altlinux.org> 1.1.7-alt1
- ODED 1.3.1

* Tue Aug 21 2007 Stanislav Ievlev <inger@altlinux.org> 1.0.6-alt1
- Initial release
